PHP 5.6.40 auf PHP 7.2

  • Joomla 3,1.5 Stable

    PHP 5,6.40


    Hallo Leut´s

    wenn ich auf PHP 7.2 umstellen möchte bvekomme ich beim aufruf meine HP folgende FM:

    Warning: session_start(): Failed to read session data: user (path: ) in /homepages/**/*********/htdocs/libraries/joomla/session/session.php on line 654

    Error displaying the error page: Application Instantiation Error


    Hat jemand ne Idee bzw. einen Lösungsansatz? Danke und Gruß

    Joachim

  • Du MUSST erst die Seite auf aktuelle Version bringen (3.9.2) bevor du die PHP-Version auf 7 stellst.

    Deine Version ist noch dazu EXTREM unsicher.

    Erstmal Danke an alle. Das was ich vermutet habe bestätigt sich damit.

    Obwohl Joomla als easy Tool "dargestellt" wird ist es in Verbindung mit DB und PHP doch "anfällig" für kleinere Fehler, sei es ein Punkt oder ein Komma :-)

    Das war auch der Grund weshalb ich meine Version nie geUpdated habe.. "Never Change a running System" ...aber da nun 1&1 richtig Geld haben will (ca. 7,-€/Monat) wenn man die alte PHP-Version behalten möchte, muss ich was tun.

    Von XAMP hatte ich mich irgendwann verabschiedet, weil die Synchronisation der Seiten aufgrund ständiger Versionswechsel mir zu aufwendig war. Also erstmal Dank an alle und ich werde mal schauen. Ciao

  • Obwohl Joomla als easy Tool "dargestellt" wird ist es in Verbindung mit DB und PHP doch "anfällig" für kleinere Fehler, sei es ein Punkt oder ein Komma :-)

    Wenn alle Updates missachtet wedren, kommt so was dabei raus. BTW, das ist bei alles CMS so nicht nur bei Joomla. Ohne Updates riskierst Du am Ende immer mehr Arbeit und vor allem, das Du gehackt wirst. Und da stehst Du in der Verantwortung, dann Du bist im Impressum.

    Die Technik schreitet voran, so auch die PHP-Versionen, da muss man eben Schritt halten oder es ganz lassen.

    Mit dem Auto machst Du regelmäßig Inspektionen und gehst zum TÜV? Oder machst Du es nicht aus Angst es wird was gefunden und müsste was repariert werden?

  • "Never Change a running System"

    Sorry (da so ziemlich OT), aber:

    Dieses Pseudo-Zitat halte ich in diesem Zusammenhang für groben Unfug! Eigentlich sogar fast immer im Zusammenhang mit Software.

    Ein Softwarepaket (und nichts anderes ist Joomla nun mal), dass durch durch Sicherheitslücken angreifbar ist, das ist nun mal nicht mehr "running"!

    ------------------------------------------------------------
    Gruß vom Jörg
    (Lehrer ist kein Beruf sondern eine Diagnose. oops )

  • Hallo Joomlaner,

    >diesem Zusammenhang für groben Unfug!<

    Was die Sicherheit im Netz angeht usw. bin ich da voll dabei. Arbeite selbst in der IT ;-) War nur so gemeint, dass man sich "schwer tut" manche Dinge freiwillig zu ändern wenn man dazu nicht gezwungen wird.

    Anyway , nach einigen herumprobieren, Caches löschen, mehreren aufrufen habe ich es geschafft von Joomla 3,1.5 Stable das System zu Updaten und sogar ohne größere Probleme. Danach die PHP - Version bei IONOS umgestellt und zu meinen erstaunen läuft die Seite ... ohne Fehler.

    PHP-Version 7.2.14

    Joomla!-Version Joomla! 3.9.2 Stable [ Amani ] 15-January-2019 15:00 GMT


    Danke euch für die Bemühungen.

    Gruß Joachim